cd('C:\Users\SWIENS\Documents\Malina\Study2\fieldtrip\bdf')

files=dir('*.bdf');
fname={files.name}';
fname=str2double(regexprep(fname,{'Fp','.bdf'},''));
fdate={files.date}';
fdate=datevec(fdate);
tfiles = array2table([fname, fdate(:,1:5)],'VariableNames',{'Id','Year','Month','Day','Hours','Minutes'});
tfiles=sortrows(tfiles,1);
writetable(tfiles,'Filedates.csv','Delimiter',';')
% Oddly, the Windows time stamp was messed up for some files during
% renaming.
% Below, use ft to extract time stamp directly from the file.

%% addpath <full path to fieldtrip>    
addpath('C:\Users\SWIENS\Documents\MATLAB Stefan\toolboxes\fieldtrip-20160117')
ft_defaults

cd('C:\Users\SWIENS\Documents\Malina\Study2\fieldtrip\bdf')
files=dir('*.bdf');
fname={files.name}';

tdata = cell(length(fname),3);
for f = 1 : length(fname)
    fnow=fname{f};
    tdata{f,1} = str2double(regexprep(fnow,{'Fp','.bdf'},''));
    hdr = ft_read_header(fnow);
    bdf = hdr.orig.T0;
    bdf(1) = bdf(1) + 2000;
    tdata{f, 2} = datetime(bdf(1:3), 'InputFormat', 'yyyy-MM-dd', 'Format','dd-MM-yyyy');
    % t=datetime(bdfdate, 'Format','yyyy-MM-dd');
    % this changes to desired output format
    tdata{f, 3} = [num2str(bdf(4)), ':', num2str(bdf(5))];
end
tfiles = array2table(tdata,'VariableNames',{'Id','Date','Time'});
tfiles=sortrows(tfiles,1);
cd ..
writetable(tfiles,'Filedates.csv','Delimiter',';')
